@charset "UTF-8";
body {
	font: 100%/1.4 Verdana, Arial, Helvetica, sans-serif;
	background-color: #C2BABA;
	margin: 0;
	padding: 80px 0 0 0;
	color: #000;
}

header {
  text-align: right;
  background-color: #C2BABA;
  height: 200px;
  padding: 20px 0 0 200px;
}

aside {
  width: 180px;
  background-color: #75756A;
  display: block;
}

nav {
  ul.nav {
    list-style: none; /* this removes the list marker */
    border-top: 1px solid #666; /* this creates the top border for the links - all others are placed using a bottom border on the LI */
    margin: 0 0 15px 0; /* this creates the space between the navigation on the content below */
  }

  ul.nav li {
    border-bottom: 1px solid #666; /* this creates the button separation */
  }

  ul.nav a, ul.nav a:visited { /* grouping these selectors makes sure that your links retain their button look even after being visited */
    padding: 5px 5px 5px 15px;
    display: block; /* this gives the link block properties causing it to fill the whole LI containing it. This causes the entire area to react to a mouse click. */
    width: 180px;  /*this width makes the entire button clickable for IE6. If you don't need to support IE6, it can be removed. Calculate the proper width by subtracting the padding on this link from the width of your sidebar container. */
    text-decoration: none;
    background-color: #363630;
  }

  ul.nav a:hover, ul.nav a:active, ul.nav a:focus { /* this changes the background and text color for both mouse and keyboard navigators */
    background-color: #75756A;
    color: #FFF;
  }

  a:link, a:visited {
    color: #FF4500;
    text-decoration: none;
  }
}

.top-navigation nav {
  width: 100%;
}

.top-navigation ul.nav {
  display: flex;
  justify-content: center;
  list-style: none;
  flex-wrap: wrap;
  border-top: none;
}

.top-navigation ul.nav li {
  border-bottom: none;
  margin-right: 10px;
}

.top-navigation ul.nav a, .top-navigation ul.nav a:visited {
  display: inline-block;
  text-decoration: none;
  width: 150px;
}

.top-navigation .dropdown-menu {
  padding: 0;
  width: 150px;
  margin: 0;
  box-shadow: none;
  border-radius: 0;
  border: none;
  background-color: transparent;
}

footer {
  padding: 10px 0;
  background-color: #75756A;
  position: relative;/* this gives IE6 hasLayout to properly clear */
  clear: both; /* this clear property forces the .container to understand where the columns end and contain them */
}

/* ~~ Element/tag selectors ~~ */
ul, ol, dl { /* Due to variations between browsers, it's best practices to zero padding and margin on lists. For consistency, you can either specify the amounts you want here, or on the list items (LI, DT, DD) they contain. Remember that what you do here will cascade to the .nav list unless you write a more specific selector. */
	padding: 0;
	margin: 0;
}
h1, h2, h3, h4, h5, h6, p {
	margin-top: 0;	 /* removing the top margin gets around an issue where margins can escape from their containing block. The remaining bottom margin will hold it away from any elements that follow. */
	padding-right: 15px;
	padding-left: 15px; /* adding the padding to the sides of the elements within the blocks, instead of the block elements themselves, gets rid of any box model math. A nested block with side padding can also be used as an alternate method. */
}
a img { /* this selector removes the default blue border displayed in some browsers around an image when it is surrounded by a link */
	border: none;
}
.table-container {
  overflow-x: auto;
  max-width: 100%;
  box-sizing: border-box;
}
table {
  width: 100%;
  border: 0;
}
/* ~~ Styling for your site's links must remain in this order - including the group of selectors that create the hover effect. ~~ */
a:link {
	color: #FF4500;
	text-decoration: underline; /* unless you style your links to look extremely unique, it's best to provide underlines for quick visual identification */
}
a:visited {
	color: #FF4500;
	text-decoration: underline;
}
a:hover, a:active, a:focus { /* this group of selectors will give a keyboard navigator the same hover experience as the person using a mouse. */
	text-decoration: none;
}

.main {
  background-color: #FFFFFF;
  box-shadow: 0 15px 25px 5px #363630;
  -moz-box-shadow: 0 15px 25px 5px #363630;
  -webkit-box-shadow: 0 15px 25px 5px #363630;
}

.sidebar1 {
	float: left;
	width: 180px;
	background-color: #75756A;
	padding-bottom: 10px;
	margin-right: 10px;
}
.content {
  background-color: #FFFFFF;
	padding-top: 20px;
	width: 600px;
	min-height: 600px;
	float: left;
}

.cards {
  float: left;
  margin-top: 20px;
  margin-left: 20px;
}
.box_f {
  width: 200px;
  float: left;
  margin: 70px 20px 0 50px;
  text-align: center;
  -webkit-transition: 1s ease-in-out;
  -moz-transition: 1s ease-in-out;
  -o-transition: 1s ease-in-out;
  transition: 1s ease-in-out;
}

.box_s {
  position: relative;
  z-index: 999;
  width: 200px;
  float: left;
  margin: 20px 20px 0 50px;
  text-align: center;
  -webkit-transition: 1s ease-in-out;
  -moz-transition: 1s ease-in-out;
  -o-transition: 1s ease-in-out;
  transition: 1s ease-in-out;
}

.box_b {
  width: 200px;
  float: left;
  margin: 20px 20px 0 20px;
  text-align: center;
  -webkit-transition: 1s ease-in-out;
  -moz-transition: 1s ease-in-out;
  -o-transition: 1s ease-in-out;
  transition: 1s ease-in-out;
}

.box_a {
  -webkit-transition: 1s ease-in-out;
  -moz-transition: 1s ease-in-out;
  -o-transition: 1s ease-in-out;
  transition: 1s ease-in-out;
}

.box_m_b {
  width: 200px;
  float: left;
  -webkit-transition: 1s ease-in-out;
  -moz-transition: 1s ease-in-out;
  -o-transition: 1s ease-in-out;
  transition: 1s ease-in-out;
}

.box_f:hover,
.box_s:hover,
.box_a:hover,
.box_b:hover,
.box_m_b:hover {
  cursor:pointer;
  -webkit-transform:scale(2);
  -moz-transform:scale(2);
  -o-transform:scale(2);
  -ms-transform:scale(2);
  transform:scale(2)
}

/* ~~ This grouped selector gives the lists in the .content area space ~~ */
.content ul, .content ol {
	padding: 0 15px 15px 40px; /* this padding mirrors the right padding in the headings and paragraph rule above. Padding was placed on the bottom for space between other elements on the lists and on the left to create the indention. These may be adjusted as you wish. */
}

/*HTML 5 support - Sets new HTML 5 tags to display:block so browsers know how to render the tags properly. */
header, section, footer, article, figure {
	display: block;
}

.header{
  font-family: georgia, serif;
	text-align: left;
	font-size: 34px;
	color: red;
	line-height: 50px;
}

.name {
  font-size: larger;
}

.open_time,
.impressum {
	padding-left: 15px;
	width: 100%;
	border: 0;
}
.bild_show {
  float: left;
}

.bild_show img {
  margin: 10px 20px 10px 20px;
}

/* for tables */
.cakes td {
  text-align: center;
}

/* The Modal (background) */
.modal {
  position: fixed; /* Stay in place */
  z-index: 1000; /* Sit on top */
  padding: 100px 20px; /* Location of the box */
  left: 50%;
  top: 50%;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  display: none;
  transform: translate(-50%, -50%);
  text-align: center;
}

.modal.show {
  display: block;
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 0;
  border: 1px solid #888;
  width: 660px;
  border-radius: 10px;
  box-shadow: 0 4px 10px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 0.9s;
  animation-name: animatetop;
  animation-duration: 0.9s;
}

/* Confirm Modal */
.confirm-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1000;
}

.confirm-modal.hidden {
  display: none;
}

.confirm-modal-content {
  background: white;
  padding: 20px;
  border-radius: 8px;
  text-align: center;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  max-width: 400px;
  width: 90%;
}

.confirm-modal-content p {
  margin-bottom: 20px;
  font-size: 16px;
  color: #333;
}

.confirm-modal .btn {
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 14px;
  margin: 0 10px;
}

.confirm-modal .btn-confirm {
  background-color: #28a745;
  color: white;
}

.confirm-modal .btn-cancel {
  background-color: #dc3545;
  color: white;
}

/* Add Animation */
@-webkit-keyframes animatetop {
  from {top:-600px; opacity:0}
  to {top:0; opacity:1}
}

@keyframes animatetop {
  from {top:-600px; opacity:0}
  to {top:0; opacity:1}
}

.modal-header {
  padding: 2px 16px;
  background-color: #75756A;
  color: white;
}

.modal-header h2 {
  font-size: x-large;
  font-weight: bold;
  margin: 0 auto;
  text-align: center;
}

.modal-body {padding: 2px 16px;}

.modal-content h4 {
  font-size: larger;
  font-weight: bold;
  background: linear-gradient(90deg, lightgreen, green, lightgreen);
  background-size: 200% 100%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: frost 3s infinite alternate;
}

.modal-content h5 {
  font-size: larger;
  font-weight: bold;
}

.modal-preview {
  position: static;
  z-index: auto;
  padding: 20px;
  width: auto;
  height: auto;
  text-align: center;
}

.modal-preview-content {
  position: static;
  margin: 0;
  padding: 0;
  border: 1px solid #888;
  width: 100%;
  border-radius: 5px;
  box-shadow: 0 2px 6px 0 rgba(0,0,0,0.1);
  text-align: center;
}

.modal-preview-content h5 {
  font-size: small;
  font-weight: bold;
}

.modal-preview-header {
  padding: 2px 16px;
  background-color: #75756A;
  color: white;
  text-align: center;
}

.modal-preview-header h2 {
  font-size: small;
  font-weight: bold;
}

.disabled-link {
  pointer-events: none;
  cursor: default;
}

@keyframes frost {
  0% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 100% 0%;
  }
}

/* The Close Button */
.close {
  color: white;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.text-center {
  text-align: center;
}

/* Style for the Login-Container */
.login-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50vH;
  background-color: #ffffff;
  font-family: Arial, sans-serif;
}

/* Style for the Form */
.login-form {
  background: #75756A;
  padding: 20px 30px;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  width: 100%;
  max-width: 400px;
  text-align: center;
}

.login-form h2 {
  margin-bottom: 20px;
  font-size: 1.8em;
}

/* Style for the Form-Groups */
.form-group {
  margin-bottom: 15px;
  text-align: left;
}

.form-group label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.form-group input {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 1em;
  background: #f9f9f9;
  transition: all 0.3s ease;
}

.form-group input:focus {
  outline: none;
  background: #ffffff;
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
}

.form-field {
  max-width: 80%;
}

/* Style for the Submit-Button */
.btn-submit {
  display: inline-block;
  width: 100%;
  padding: 10px;
  background: #363630;
  border: 2px solid #75756A;
  border-radius: 5px;
  color: #FF4500;
  font-size: 1em;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s ease;
}

.btn-submit:hover {
  background: #75756A;
  color: white;
  border: 2px solid #363630;
}

/* Style for the Delete-Button */
.btn-delete {
  display: inline-block;
  width: 50%;
  padding: 10px;
  background: #75756A;
  border: 2px solid #363630;
  border-radius: 5px;
  color: #FF4500;
  font-size: 1em;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s ease;
}

.btn-delete:hover {
  background: #FF4500;
  color: white;
  border: 2px solid #363630;
}

/* Style for the New-Button */
.btn-new {
  display: inline-block;
  width: 50%;
  padding: 10px;
  background: #75756A;
  border: 2px solid #363630;
  border-radius: 5px;
  color: white;
  font-size: 1em;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s ease;
  text-align: center;
}

.btn-new:hover {
  background: lightgreen;
  color: white;
  border: 2px solid #363630;
}

.btn-new a:visited {
  color: white;
}

/* --------------------
Speisekarten Previews
-------------------- */

.menu-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 20px;
  padding: 20px;
}
.menu-grid a {
  text-decoration: none;
}
.menu-preview {
  font-family: 'Lucida Handwriting Std', cursive;
  position: relative;
  border-radius: 10px;
  overflow: visible;
  width: 220px;
  height: 330px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  color: black;
  transition: transform 1s ease-in-out;
}
.menu-preview:hover {
  transform: scale(1.5);
}
.menu-preview .menu-title {
  text-align: center;
  font-size: 24px;
  padding: 10px;
}
.menu-preview .menu-content .menu-item {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 1px;
}

/* --------------------
Eventkarten Previews
-------------------- */
.event-logo {
  margin-top: -15px;
  margin-bottom: -20px;
}
.event-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 20px;
}
.event-grid a {
  text-decoration: none;
}
.event-preview {
  font-family: 'Lucida Handwriting Std', cursive;
  font-size: 12px;
  position: relative;
  border-radius: 10px;
  overflow: visible;
  width: 290px;
  height: 435px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  color: black;
  transition: transform 1s ease-in-out;
  text-align: center;
  margin-bottom: 20px;
}
.event-preview .event-title {
  font-size: 22px;
  padding: 0;
}
.event-preview .event-content .event-item {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 1px;
  margin: 0 25px;
}
.event-preview .event-footer {
  font-size: 10px;
}

/* --------------------
Eventkarten side small
-------------------- */
.event-logo-small {
  margin-top: -7px;
  margin-bottom: -10px;
}
.event-preview-small {
  font-family: 'Lucida Handwriting Std', cursive;
  font-size: 6px;
  position: relative;
  border-radius: 5px;
  overflow: visible;
  width: 149px;
  height: 224px;
  cursor: pointer;
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  color: black;
  text-align: center;
  margin-left: 16px;
}
.event-preview-small .event-title-small {
  font-size: 10px;
  padding: 0;
}
.event-preview-small .event-content-small .event-item-small {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin: 0 12px;
}
.event-preview-small .event-footer-small {
  font-size: 4px;
}

/* --------------------
Responsive
---------------------- */

@media (min-width: 1200px) {
  .container {
    max-width: 1000px;
    margin: 0 auto; /* the auto value on the sides, coupled with the width, centers the layout */
  }
}
